<app-loading *ngIf="isLoading"></app-loading>
<div class="table-emp">
  <nz-table
    #basicTable
    [nzData]="lisEmployeeCreate"
    [nzShowPagination]="false"
    [nzScroll]="{ y: '250px' }"
    nzTableLayout="fixed"
  >
    <thead>
      <tr>
        <th scope="col" nzWidth="80px" class="text-center" rowspan="2">
          {{ 'development.appointmentRenewal.createScreen.infoEmployee' | translate }}
        </th>
        <th scope="col" nzWidth="180px" rowspan="2">
          {{ 'development.proposed-unit.table.formGroup' | translate }}
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of basicTable.data; let i = index">
        <!-- <td class="stt">{{ i + 1 }}</td> -->
        <td>{{ item?.employeeInfo }}</td>
        <td>
          <mb-select
          [(ngModel)]="item.formGroupEmp"
          [mbDataSelects]="formGroupList"
          mbKeyLabel="name"
          mbKeyValue="id"
          mbPlaceholder="{{ 'development.proposed-unit.table.formGroup' | translate }}"
          [ngModelOptions]="{ standalone: true}"
          >
          </mb-select>

        </td>
      </tr>
    </tbody>
  </nz-table>
</div>


<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="Lưu"
    (click)="save()"
  ></mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="closeModal()">
  </mb-button>
</div>
